# 64bit
# source https://sourceforge.net/projects/kadu/files/kadu/3.0/kadu-3.0.tar.bz2

%global _cmake_skip_rpath %{nil}

Name:		kadu
Version:	3.0
Release:	%mkrel 1
Summary:        A Gadu-Gadu and XMPP protocol instant messenger client
Summary(de):    Ein Gadu-Gadu und XMPP-Protokoll Sofortnachrichtenklient
Summary(pl):    Komunikator obsługujący sieci Gadu-Gadu i XMPP
License:	GPLv2+
Group:		Networking/Instant messaging
URL:		http://www.kadu.net/
Source0:	%{name}-%{version}.tar.xz
Patch0:		%{name}-%{version}-disable-plugins.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}/buildroot
BuildRequires:  cmake
BuildRequires:  %{_lib}archive-devel
BuildRequires:	%{_lib}enchant-devel
BuildRequires:  %{_lib}gadu-devel
BuildRequires:  %{_lib}idn-devel
BuildRequires:  %{_lib}injeqt-devel
BuildRequires:  %{_lib}mpdclient-devel
BuildRequires:  %{_lib}otr-devel
BuildRequires:  %{_lib}qca2-qt5-devel
BuildRequires:  %{_lib}qt5concurrent-devel
BuildRequires:  %{_lib}qt5dbus-devel
BuildRequires:  %{_lib}qt5help-devel
BuildRequires:  %{_lib}qt5multimedia-devel
BuildRequires:  %{_lib}qt5quickwidgets-devel
BuildRequires:  %{_lib}qt5webkitwidgets-devel
BuildRequires:  %{_lib}qt5x11extras-devel
BuildRequires:  %{_lib}qtscript-devel
BuildRequires:  %{_lib}qtxmlpatterns5-devel
BuildRequires:  %{_lib}qxmpp-devel
BuildRequires:  %{_lib}xscrnsaver-devel
BuildRequires:	qtmultimedia5
Requires:	%{_lib}archive13
Requires:	%{_lib}gadu3
Requires:	%{_lib}injeqt0
Requires:	%{_lib}mpdclient2
Requires:	%{_lib}otr5
Requires:	%{_lib}qca2-qt5_2
Requires:	%{_lib}qt5dbus5
Requires:	%{_lib}qt5multimedia5
Requires:	%{_lib}qt5sql5
Requires:	%{_lib}qt5quick5
Requires:	%{_lib}qt5webkitwidgets5
Requires:	%{_lib}qtx11extras5
Requires:	%{_lib}qxmpp0
Requires:	%{_lib}xscrnsaver1
Requires:	qtbase5-database-plugin-sqlite
Obsoletes:	%{name}-devel
Obsoletes:	%{name}-emoticons
Obsoletes:	%{name}-icons
Obsoletes:	%{name}-l10n

%description
Kadu is a dynamically evolving instant messenger compatible with the Gadu-Gadu
and XMPP protocol. It can be run on all platforms supporting the Qt toolkit.

%description -l de
Kadu ist ein dynamisch entwickelndes Kommunikationsprogramm, das Protokollen
von Gadu-Gadu und XMPP bedient. Er ist unterstützt auf allen Platformen des Qt-Frameworks.

%description -l pl
Kadu to dynamicznie rozwijający się komunikator obsługujący protokoły Gadu-Gadu
oraz XMPP. Może być uruchamiany na platformach obsługujących Qt.

%prep
%setup -q
%{apply_patches}

%build
%cmake -DINSTALL_SDK=OFF
%make

%install
rm -rf %buildroot
%make_install -C build

# find_lang
#for file in $(find %{buildroot} -type f -iname "*.qm"); do
#  echo "%lang($(echo $file | grep -o -e '_[a-z][a-z][.]' -e '_[a-z][a-z]_[a-z][a-z][.]' | cut -c 2- | sed 's/.$//;s/ng_//')) $(echo $file | sed -e 's|%{buildroot}||g')" >> %{name}.lang
#done

%clean
%__rm -rf %{buildroot}

#%files -f %{name}.lang
%files
%defattr(-,root,root)
%{_bindir}/%{name}
%{_libdir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*
%{_datadir}/%{name}


%changelog
* Sat Feb 13 2016 marcin82 <fixxer1982@gmail.com> 3.0-1pclos2016
- update
- disabled plugins for Unity: unity_integration, indicator_docking
- disabled phonon_sound plugin as causing program crash when active
- merged all subpackages into one - main package
- turned off headers compiling, dropped devel package

* Sun May 18 2013 marcin82 <marcin82@linuxmint.pl> 0.12.1-1pclos2013
- new version Kadu 0.12.2
- renamed package kadu-emots to kadu-emoticons
- removed file kadu_config_pclos as incompatible with new program version
- added BR libindicate-qt-devel (ghostbunny)
- cleaned requires in main package most required packages are detected
  by the build system (ghostbunny)

* Mon Jul 16 2012 ghostbunny <hmhaase at pclinuxosusers dot de> 0.12.0-1pclos2012
- 0.12.0
- added german summaries and descriptions
- added englisch description for the sound package
- added %{_lib} macros
- added BuildRequires:	%{_lib}mpdclient-devel phonon-devel
- commented sed and echo with them the build fails
- fixed files section
- commented sound package, only default available after build

